#if !defined(AFX_CONVERTVIDFILENAMESDLG_H__24B0E845_A81E_4556_9C79_702AAD9312B4__INCLUDED_)
#define AFX_CONVERTVIDFILENAMESDLG_H__24B0E845_A81E_4556_9C79_702AAD9312B4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConvertVidFileNamesDlg.h : header file
//

// CFileNames
class CFileNames
{
public:
	CFileNames();
	~CFileNames();
	CFileNames(const CFileNames & fileNames);

	void	operator=(const CFileNames & fileNames);
	BOOL	operator==(const CFileNames & fileNames);
	BOOL	operator!=(const CFileNames & fileNames);
	void	Copy(const CFileNames & fileNames);
	void	Zero();

	CString m_oldName;
	CString m_newName;
};

/////////////////////////////////////////////////////////////////////////////
// CConvertVidFileNamesDlg dialog

class CConvertVidFileNamesDlg : public CDialog
{
// Construction
public:
	CConvertVidFileNamesDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CConvertVidFileNamesDlg)
	enum { IDD = IDD_DLG_TOOLS_CONVERT_NAME };
	CButton			m_ctrlRename;
	CProgressCtrl	m_ctrlProgress;
	CString			m_infoStr;
	CString			m_headerStr;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConvertVidFileNamesDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CConvertVidFileNamesDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonRename();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	CArray<CFileNames, CFileNames&> m_fileNamesAr;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONVERTVIDFILENAMESDLG_H__24B0E845_A81E_4556_9C79_702AAD9312B4__INCLUDED_)
